{
  "name": "h5-sdk-react",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "dev:prod": "vite --mode production",
    "build": "tsc && vite build",
    "build:prod": "tsc && vite build --mode production",
    "build:dev": "tsc && vite build --mode development",
    "lint": "eslint src --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@ant-design/icons": "^5.1.4",
    "ahooks": "^3.7.8",
    "antd": "^5.6.3",
    "axios": "^1.4.0",
    "md5": "^2.3.0",
    "moment": "^2.30.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-router-dom": "^7.0.2",
    "react-transition-group": "^4.4.5",
    "terser": "^5.19.2"
  },
  "devDependencies": {
    "@types/md5": "^2.3.2",
    "@types/react": "^18.0.37",
    "@types/react-dom": "^18.0.11",
    "@types/react-transition-group": "^4.4.6",
    "@typescript-eslint/eslint-plugin": "^5.59.0",
    "@typescript-eslint/parser": "^5.59.0",
    "@vitejs/plugin-react": "^4.0.0",
    "@vitejs/plugin-react-refresh": "^1.3.6",
    "eslint": "^8.38.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.3.4",
    "less": "^4.1.3",
    "typescript": "^5.0.2",
    "vite": "^4.3.9"
  }
}
